ConstantsPortletOccurrence (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client

## Class ConstantsPortletOccurrence

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.client.ConstantsPortletOccurrence

-     public class ConstantsPortletOccurrence
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConstantsPortletOccurrence.HeaderOccurrenceMenuItem`
    `static class` | `ConstantsPortletOccurrence.ViewSwitchTypeInResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATA`
    `static String` | `DATAEXPLORER`
    `static String` | `DETAILS`
    `static List<String>` | `LISTCSWMIMETYPES`
    `static String` | `LOADING`
    `static String` | `LOADINGSTYLE`
    `static String` | `MESSAGE_CONFIRM_DELETE`
    `static String` | `MESSAGE_NAME_FORCE_APHANUMERIC`
    `static String` | `OPERATIONS`
    `static String` | `OPERATIONS_EXPLORER`
    `static String` | `PORTLETDIV`
    `static String` | `RESULT`
    `static String` | `TD_DATASOUCEFACTORY_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantsPortletOccurrence()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORTLETDIV

          public static final String PORTLETDIV

      See Also:
        Constant Field Values

    - #### DATAEXPLORER

          public static final String DATAEXPLORER

      See Also:
        Constant Field Values

    - #### OPERATIONS_EXPLORER

          public static final String OPERATIONS_EXPLORER

      See Also:
        Constant Field Values

    - #### DETAILS

          public static final String DETAILS

      See Also:
        Constant Field Values

    - #### RESULT

          public static final String RESULT

      See Also:
        Constant Field Values

    - #### OPERATIONS

          public static final String OPERATIONS

      See Also:
        Constant Field Values

    - #### DATA

          public static final String DATA

      See Also:
        Constant Field Values

    - #### MESSAGE_CONFIRM_DELETE

          public static final String MESSAGE_CONFIRM_DELETE

      See Also:
        Constant Field Values

    - #### LOADINGSTYLE

          public static final String LOADINGSTYLE

      See Also:
        Constant Field Values

    - #### LOADING

          public static final String LOADING

      See Also:
        Constant Field Values

    - #### LISTCSWMIMETYPES

          public static final List<String> LISTCSWMIMETYPES

    - #### MESSAGE_NAME_FORCE_APHANUMERIC

          public static final String MESSAGE_NAME_FORCE_APHANUMERIC

      See Also:
        Constant Field Values

    - #### TD_DATASOUCEFACTORY_ID

          public static final String TD_DATASOUCEFACTORY_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstantsPortletOccurrence

          public ConstantsPortletOccurrence()

Copyright © 2014. All Rights Reserved.